components:
  schemas:
    Volume_v1_3_5_Actions:
      additionalProperties: false
      properties:
        '#Volume.CheckConsistency':
          $ref: '#/components/schemas/Volume_v1_3_5_CheckConsistency'
        Oem:
          $ref: '#/components/schemas/Volume_v1_3_5_OemActions'
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Volume_v1_3_5_CheckConsistency:
      additionalProperties: false
      description: This action is used to force a check of the Volume's parity or
        redundant data to ensure it matches calculated values.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This defines the name of the custom action supported on this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Volume_v1_3_5_CheckConsistencyRequestBody:
      additionalProperties: false
      description: This action is used to force a check of the Volume's parity or
        redundant data to ensure it matches calculated values.
      properties: {}
      type: object
      x-longDescription: This defines the name of the custom action supported on this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Volume_v1_3_5_Links:
      additionalProperties: false
      description: Add ability to manage spare capacity.
      properties:
        ClassOfService:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The ClassOfService that this storage volume conforms to.
          readOnly: true
          x-longDescription: This property shall contain a reference to the ClassOfService
            that this storage volume conforms to.
          x-versionAdded: v1_1_0
        DedicatedSpareDrives:
          description: An array of references to the drives which are dedicated spares
            for this volume.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: The value of this property shall be a reference to the
            resources that this volume is associated with and shall reference resources
            of type Drive. This property shall only contain references to Drive entities
            which are currently assigned as a dedicated spare and are able to support
            this Volume.
          x-versionAdded: v1_2_0
        DedicatedSpareDrives@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Drives:
          description: An array of references to the drives which contain this volume.
            This will reference Drives that either wholly or only partly contain this
            volume.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: The value of this property shall be a reference to the
            resources that this volume is associated with and shall reference resources
            of type Drive. This property shall only contain references to Drive entities
            which are currently members of the Volume, not hot spare Drives which
            are not currently a member of the volume.
        Drives@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        SpareResourceSets:
          description: An array of references to SpareResourceSets.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: Each referenced SpareResourceSet shall contain resources
            that may be utilized to replace the capacity provided by a failed resource
            having a compatible type.
          x-versionAdded: v1_3_0
        SpareResourceSets@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Volume_v1_3_5_OemActions:
      additionalProperties: true
      properties: {}
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Volume_v1_3_5_Operation:
      additionalProperties: false
      properties:
        AssociatedFeaturesRegistry:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A reference to the task associated with the operation if any.
          readOnly: true
        OperationName:
          description: The name of the operation.
          nullable: true
          readOnly: true
          type: string
        PercentageComplete:
          description: The percentage of the operation that has been completed.
          format: int64
          nullable: true
          readOnly: true
          type: integer
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Volume_v1_3_5_Volume:
      additionalProperties: false
      description: Volume contains properties used to describe a volume, virtual disk,
        LUN, or other logical storage entity for any system.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AccessCapabilities:
          description: Supported IO access capabilities.
          items:
            oneOf:
            - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataStorageLoSCapabilities.yaml#/components/schemas/DataStorageLoSCapabilities_StorageAccessCapability
            - enum:
              - null
          readOnly: false
          type: array
          x-longDescription: Each entry shall specify a current storage access capability.
          x-versionAdded: v1_1_0
        Actions:
          $ref: '#/components/schemas/Volume_v1_3_5_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
        AllocatedPools:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: An array of references to StoragePools allocated from this
            Volume.
          readOnly: true
          x-longDescription: The value of this property shall contain references to
            all storage pools allocated from this volume.
          x-versionAdded: v1_1_0
        BlockSizeBytes:
          description: The size of the smallest addressable unit (Block) of this volume
            in bytes.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain size of the smallest addressable
            unit of the associated volume.
          x-units: By
        Capacity:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Capacity.yaml#/components/schemas/Capacity_Capacity
          description: Capacity utilization.
          x-longDescription: Information about the utilization of capacity allocated
            to this storage volume.
          x-versionAdded: v1_1_0
        CapacityBytes:
          description: The size in bytes of this Volume.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the size in bytes of the
            associated volume.
          x-units: By
        CapacitySources:
          description: An array of space allocations to this volume.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Capacity.yaml#/components/schemas/Capacity_CapacitySource
          readOnly: false
          type: array
          x-autoExpand: true
          x-longDescription: Fully or partially consumed storage from a source resource.
            Each entry provides capacity allocation information from a named source
            resource.
          x-versionAdded: v1_1_0
        CapacitySources@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Encrypted:
          description: Is this Volume encrypted.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall contain a boolean indicator if the
            Volume is currently utilizing encryption or not.
        EncryptionTypes:
          description: The types of encryption used by this Volume.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Volume.yaml#/components/schemas/Volume_EncryptionTypes
          readOnly: false
          type: array
          x-longDescription: This property shall contain the types of encryption used
            by this Volume.
        IOStatistics:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/IOStatistics.yaml#/components/schemas/IOStatistics_IOStatistics
          description: Statistics for this volume.
          x-longDescription: The value shall represent IO statistics for this volume.
          x-versionAdded: v1_2_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifiers:
          description: The Durable names for the volume.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          type: array
          x-longDescription: This property shall contain a list of all known durable
            names for the associated volume.
        Links:
          $ref: '#/components/schemas/Volume_v1_3_5_Links'
          description: Contains references to other resources that are related to
            this resource.
          x-longDescription: The Links property, as described by the Redfish Specification,
            shall contain references to resources that are related to, but not contained
            by (subordinate to), this resource.
        LowSpaceWarningThresholdPercents:
          description: Low space warning.
          items:
            format: int64
            nullable: true
            type: integer
          readOnly: false
          type: array
          x-longDescription: 'Each time the following value is less than one of the
            values in the array the LOW_SPACE_THRESHOLD_WARNING event shall be triggered:
            Across all CapacitySources entries, percent = (SUM(AllocatedBytes) - SUM(ConsumedBytes))/SUM(AllocatedBytes).'
          x-units: '%'
          x-versionAdded: v1_1_0
        Manufacturer:
          description: The manufacturer or OEM of this storage volume.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a value that represents the
            manufacturer or implementer of the storage volume.
          x-versionAdded: v1_1_0
        MaxBlockSizeBytes:
          description: Max Block size in bytes.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain size of the largest addressable
            unit of this storage volume.
          x-units: By
          x-versionAdded: v1_1_0
        Model:
          description: The model number for this storage volume.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value is assigned by the manufacturer and shall represents
            a specific storage volume implementation.
          x-versionAdded: v1_1_0
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Operations:
          description: The operations currently running on the Volume.
          items:
            $ref: '#/components/schemas/Volume_v1_3_5_Operation'
          type: array
          x-longDescription: This property shall contain a list of all currently running
            on the Volume.
        OptimumIOSizeBytes:
          description: The size in bytes of this Volume's optimum IO size.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the optimum IO size to use
            when performing IO on this volume. For logical disks, this is the stripe
            size. For physical disks, this describes the physical sector size.
          x-units: By
        RAIDType:
          description: The RAID type of this volume.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Volume.yaml#/components/schemas/Volume_RAIDType
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain the RAID type of the associated
            Volume.
          x-versionAdded: v1_3_1
        RecoverableCapacitySourceCount:
          description: Current number of capacity source resources that are available
            as replacements.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value is the number of available capacity source
            resources currently available in the event that an equivalent capacity
            source resource fails.
          x-versionAdded: v1_3_0
        RemainingCapacityPercent:
          description: The percentage of the capacity remaining in the Volume.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: If present, this value shall return  {[(SUM(AllocatedBytes)
            - SUM(ConsumedBytes)]/SUM(AllocatedBytes)}*100 represented as an integer
            value.
          x-versionAdded: v1_2_0
        ReplicaInfo:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageReplicaInfo.v1_4_0.yaml#/components/schemas/StorageReplicaInfo_v1_4_0_ReplicaInfo
          description: Describes this storage volume in its role as a target replica.
          x-longDescription: This property shall describe the replica relationship
            between this storage volume and a corresponding source volume.
          x-versionAdded: v1_1_0
        ReplicaTargets:
          description: The resources that are target replicas of this source.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: The value shall reference the target replicas that are
            sourced by this replica.
          x-versionAdded: v1_3_0
        ReplicaTargets@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The property contains the status of the Volume.
          x-longDescription: The property shall contain the status of the Volume.
        StorageGroups:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: An array of references to Storage Groups that includes this
            volume.
          readOnly: true
          x-longDescription: The value of this property shall contain references to
            all storage groups that include this volume.
          x-versionAdded: v1_1_0
        VolumeType:
          deprecated: true
          description: The type of this volume.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Volume.yaml#/components/schemas/Volume_VolumeType
          - enum:
            - null
          readOnly: true
          x-deprecatedReason: Deprecated in favor of explicit use of RAIDType.
          x-longDescription: This property shall contain the type of the associated
            Volume.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent a volume, virtual
        disk, logical disk, LUN, or other logical storage for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Volume.v1_3_5.Volume'
x-copyright: Copyright 2015-2026 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-language: en
x-owningEntity: SNIA
x-release: 1.0.6a
